Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621586 - nss_ldap EPIPE when forking process
nss_ldap EPIPE when forking process
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.8
All Linux
urgent Severity high
: rc
: ---
Assigned To: Nalin Dahyabhai
Ondrej Moriš
: ZStream
Depends On: 454315
Blocks: 623138
  Show dependency treegraph
 
Reported: 2010-08-05 10:54 EDT by Martin Poole
Modified: 2011-02-16 09:02 EST (History)
8 users (show)

See Also:
Fixed In Version: nss_ldap-253-14.el4
Doc Type: Bug Fix
Doc Text:
The shell wrote to a socket that was not connected to an LDAP server. This resulted in an EPIPE error and no shell commands were resolved when logged in as an LDAP user. The SIGPIPE signal is now unblocked when the connection in a child element is closed and shell commands work as expected.
Story Points: ---
Clone Of: 454315
Environment:
Last Closed: 2011-02-16 09:02:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0239 normal SHIPPED_LIVE nss_ldap bug fix update 2011-02-15 11:35:01 EST

  None (edit)
Comment 16 Eva Kopalova 2011-02-09 08:18:08 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The shell wrote to a socket that was not connected to an LDAP server. This resulted in an EPIPE error and no shell commands were resolved when logged in as an LDAP user. The SIGPIPE signal is now unblocked when the connection in a child element is closed and shell commands work as expected.
Comment 17 errata-xmlrpc 2011-02-16 09:02:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0239.html

Note You need to log in before you can comment on or make changes to this bug.